/*
	File:		BArray.h

	Contains:	xxx put contents here xxx

	Owned by:	Vincent Lo

	Copyright:	c 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <1>	10/24/94	jpa		first checked in
		 <1>	 9/23/94	VL		first checked in

	To Do:
*/

#ifndef _BARRAY_
#define _BARRAY_

#ifndef _ODTYPES_
#include <ODTypes.h>
#endif

extern "C" {
	ODByteArray*	CreateByteArray(void* buffer, ODULong size);
	ODByteArray*	CreateEmptyByteArray(ODULong maximum);
	ODByteArray*	CopyByteArray(ODByteArray* fromBA);
	void			DisposeByteArray(ODByteArray* array);
	ODBoolean		AreByteArraysEqual(ODByteArray* ba1, ODByteArray* ba2);
}

#endif 	// _BARRAY_